import { ProfileSelectori18n } from './pn-profile-selector-types';
export declare class PnProfileSelector {
    hostElement: Element;
    language: string;
    returnUrl: string;
    heading: string;
    i18n: ProfileSelectori18n;
    isLoading: boolean;
    numberOfProfiles: number;
    componentWillLoad(): void;
    init(): void;
    setTranslations(): void;
    render(): any;
}
